#
# spec file for package mojo-parent
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mojo-parent
Version:        60
Release:        150200.3.4.4
Summary:        Codehaus MOJO parent project pom file
License:        Apache-2.0
Group:          Development/Libraries/Java
URL:            https://www.mojohaus.org/mojo-parent/
Source0:        https://github.com/mojohaus/mojo-parent/archive/%{name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
BuildRequires:  javapackages-local
BuildArch:      noarch

%description
Codehaus MOJO parent project pom file

%prep
%setup -q -n %{name}-%{name}-%{version}
# Not needed
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-checkstyle-plugin

cp %{SOURCE1} .

%build

%install
install -dm 0755 %{buildroot}%{_mavenpomdir}/%{name}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
%add_maven_depmap %{name}/%{name}.pom -a org.codehaus.mojo:mojo

%files -f .mfiles
%doc LICENSE-2.0.txt

%changelog
* Fri Mar 25 2022 fstrba@suse.com
- Upgrade to version 60
  * Compatible with newer plugins
* Sun Mar 17 2019 fstrba@suse.com
- Initial packaging of mojo-parent 40
